### Hierarchy

- IEmitter
  - IAuthService

## Index

### Properties

- EVENT_401
- EVENT_ERROR
- EVENT_LOGGED_IN
- EVENT_LOGGED_OUT
- EVENT_LOGIN_REFRESHED
- EVENT_RE_LOGGING
- EVENT_USER_UPDATED
- authenticate
- emit
- login
- logout
- off
- on
- register
- unRegister
- user

### Methods

- removeEvent
- removeEvents

## Properties

### EVENT_401

EVENT_401: string

- Defined in Auth.ts:13

### EVENT_ERROR

EVENT_ERROR: string

- Defined in Auth.ts:12

### EVENT_LOGGED_IN

EVENT_LOGGED_IN: string

- Defined in Auth.ts:8

### EVENT_LOGGED_OUT

EVENT_LOGGED_OUT: string

- Defined in Auth.ts:11

### EVENT_LOGIN_REFRESHED

EVENT_LOGIN_REFRESHED: string

- Defined in Auth.ts:10

### EVENT_RE_LOGGING

EVENT_RE_LOGGING: string

- Defined in Auth.ts:9

### EVENT_USER_UPDATED

EVENT_USER_UPDATED: string

- Defined in Auth.ts:14

### authenticate

authenticate: function

- Defined in Auth.ts:18

#### Type declaration

- - (force?: undefined | false | true): Promise<any>

  - #### Parameters

    - ##### Optional force: undefined | false | true

    #### Returns Promise<any>

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### login

login: function

- Defined in Auth.ts:19

#### Type declaration

- - (username: string, password: string): Promise<any>

  - #### Parameters

    - ##### username: string

    - ##### password: string

    #### Returns Promise<any>

### logout

logout: function

- Defined in Auth.ts:20

#### Type declaration

- - (): void

  - #### Returns void

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### user

user: IUserSelf

- Defined in Auth.ts:16

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc